> For the complete documentation index, see [llms.txt](https://docs.liquidops.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.liquidops.io/developers/liquidops-js/installation-and-quickstart.md).

# Installation & quickstart

You can install the LiquidOps JS using npm:

```
npm i liquidops
```

Or using yarn:

```
yarn add liquidops
```

Or using bun:

```
bun i liquidops
```

{% hint style="warning" %}

```
@permaweb/aoconnect >= 0.0.77
ao-tokens >= 0.0.6
warp-arbundles >= 1.0.4
```

Required peer dependencies for LiquidOps JS
{% endhint %}

Declare LiquidOps class in node environments:

```typescript
import { createDataItemSigner } from "@permaweb/aoconnect/dist/client/node/wallet";
import LiquidOps from "liquidops";

const JWK = `{
  "kty": "RSA",
  "e": "AQAB",
  "n": "...",
  "d": "...",
  "p": "...",
  "q": "...",
  "dp": "...",
  "dq": "...",
  "qi": "..."
}`;

const signer = createDataItemSigner(JWK);

const client = new LiquidOps(signer);
```

You can also add optional custom configurations to the SDK:

```typescript
const client = new LiquidOps(signer, {
    GATEWAY_URL: "",
    GRAPHQL_URL: "",
    GRAPHQL_MAX_RETRIES: "",
    GRAPHQL_RETRY_BACKOFF: "",
    MU_URL: "",
    CU_URL: ""
});
```

Declare LiquidOps class in web environments:

```typescript
import { createDataItemSigner } from "@permaweb/aoconnect/dist/client/node/wallet";
import LiquidOps from "liquidops";

const signer = createDataItemSigner(window.arweaveWallet);

const client = new LiquidOps(signer);
```

Here's a simple lending example to get you started:

```typescript
import { createDataItemSigner } from "@permaweb/aoconnect/dist/client/node/wallet";
import LiquidOps from "liquidops";

const signer = createDataItemSigner(window.arweaveWallet);

const client = new LiquidOps(signer);

const lend = await client.lend({
  token: "QAR",
  quantity: 1n,
});

console.log(lend)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.liquidops.io/developers/liquidops-js/installation-and-quickstart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
